package com.jeeplus.business.reimbursement.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.reimbursement.domain.JyReimbursementDetailInfoBorrow;
import com.jeeplus.business.reimbursement.domain.JyReimbursementDetailInfoPayment;
import com.jeeplus.business.reimbursement.domain.JyReimbursementDetailInfoProject;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface JyReimbursementInfoPaymentMapper extends BaseMapper<JyReimbursementDetailInfoPayment> {
    List<JyReimbursementDetailInfoPayment> getList();

    List<JyReimbursementDetailInfoPayment> findByProjectId(@Param("projectId") String id);
}
