package com.jeeplus.business.reimbursement.service.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;

@Data
public class JyReimbursementDetailInfoProjectDTO extends BaseEntity {
    /**
     * 报销编号
     */
    @Excel(name = "报销编号", width = 16, orderNum = "1")
    private String reimbursementNo;
    /**
     * 项目编号
     */
    @Excel(name = "项目编号", width = 32, orderNum = "2")
    private String projectNumber;
    /**
     * 项目名称
     */
    @Excel(name = "项目名称", width = 32, orderNum = "3")
    private String projectName;
    /**
     * 报销项目id
     */
    private String projectId;

    /**
     * 建设单位
     */
    @Excel(name = "建设单位", width = 16, orderNum = "5")
    private String clientName;
    /**
     * 报销id
     */
    private String reimbursementId;

    /**
     * 报销人
     */
    private String userId;

    /**
     * 报销人名称
     */
    @Excel(name = "报销人", width = 16, orderNum = "6")
    private String userName;

    /**
     * 报销部门
     */
    private String deptId;

    /**
     * 报销部门名称
     */
    @Excel(name = "报销部门", width = 16, orderNum = "7")
    private String deptName;

    /**
     * 报销类型
     */
    private String typeId;

    /**
     * 报销类型名称
     */
    @Excel(name = "报销类型", width = 16, orderNum = "8")
    private String typeName;

    /**
     * 费用(元)
     */
    @Excel(name = "报销费用(元)", width = 16, orderNum = "9")
    private String number;

    /**
     * 收据张数
     */
    @Excel(name = "收据张数", width = 16, orderNum = "10")
    private Integer receiptNumber;

    /**
     * 出差天数
     */
    @Excel(name = "出差天数", width = 16, orderNum = "11")
    private Integer days;

    /**
     * 内容
     */
    @Excel(name = "内容", width = 16, orderNum = "12")
    private String content;
}
