package com.jeeplus.flowable.feign;

import com.jeeplus.common.constant.AppNameConstants;
import com.jeeplus.flowable.factory.JyProjectApiFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient(contextId = "IJyUserApi", name = AppNameConstants.APP_JYPROJECT_MODULES, fallbackFactory = JyProjectApiFallbackFactory.class)
public interface IJyUserApi {
    /**
     * 获取所有交接完成的员工信息
     */
    @GetMapping(value = "/employeeDimission/getList")
    String getList();

    /**
     * 冻结员工账号
     */
    @GetMapping(value = "/employeeDimission/updateUserById")
    String updateUserById(@RequestParam(value = "id")String id,@RequestParam(value = "loginFlag") String loginFlag);
}

