package com.jeeplus.business.bid.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.bid.domain.JyTenderBidDetail;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface TenderBidDetailMapper extends BaseMapper<JyTenderBidDetail> {

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);
    //获取中标详情
    List<JyTenderBidDetail> findByBasicId(@Param("id") String id);
    //根据基础表id查询详情id
    List<String> getByBasicId(@Param("id")String id);
}
