package com.jeeplus.business.humanResources.domain;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.sys.domain.WorkAttachmentInfo;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
@TableName("jy_regular_apply")
public class RegularApply extends BaseEntity {

    //流程信息
    private String procInsId;
    private String processDefinitionId;
    //状态
    private String status;
    //是否通过
    private String isPass;
    //是否留用
    private String isEmploy;
    //是否顺延
    private String isPostpone;
    //转正原因
    private String reason;
    //入职信息id
    private String infoId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    @TableField(exist = false)
    private String createName;
    @TableField(exist = false)
    private String officeName;

    @TableField(exist = false)
    private List<WorkAttachmentInfo> files; //附件

}
