package com.jeeplus.business.humanResources.mapper;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.humanResources.domain.StaffHeir;
import com.jeeplus.business.humanResources.service.dto.StaffHeirDTO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface StaffHeirMapper extends BaseMapper<StaffHeir> {
    void updateHeirStatusById(@Param("status") String status, @Param("id") String id,@Param("userId") String userId);

    StaffHeirDTO findHeirById(@Param("id") String id);
    @InterceptorIgnore(tenantLine = "true")
    List<StaffHeirDTO> getList();
    @InterceptorIgnore(tenantLine = "true")
    void updateUserById(@Param("id")String id, @Param("loginFlag")String loginFlag);
}
