package com.jeeplus.business.monthly.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.core.domain.BaseEntity;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
@TableName("jy_process")
public class JyProcess extends BaseEntity {

    /**
     * 项目名称
     */
    private String projectName;

    /**
     * 报告号
     */
    private String no;

    /**
     * 项目负责人
     */
    private String projectLeader;

    /**
     * 项目进度
     */
    private String process;

    /**
     * 进度完成时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date processTime;

    /**
     * 月报表id
     */
    private String monthlyId;

    /**
     * 部门
     */
    private String officeName;


    @TableField(exist = false)
    private String auditId1;
    @TableField(exist = false)
    private String auditId2;
    @TableField(exist = false)
    private String auditId3;
    @TableField(exist = false)
    private String sealId;
    @TableField(exist = false)
    private String outInstanceId;
    @TableField(exist = false)
    private String reportsSubmitId;
    @TableField(exist = false)
    private String archiveId;
    @TableField(exist = false)
    private String eiaId;
    //项目id
    private String projectId;

}
