package com.jeeplus.business.tender.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.business.tender.domain.BidDetail;
import com.jeeplus.pubmodules.oss.service.dto.WorkAttachmentDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface BidDetailMapper extends BaseMapper<BidDetail> {
    List<String> getByTenderId(@Param("id") String id);

    List<BidDetail> findByTenderId(@Param("id") String id);

    //查出附件信息
    List<WorkAttachmentDto> getByAttachmentId(String id);
}
