package com.jeeplus.business.tender.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jeeplus.business.tender.domain.Tender;
import com.jeeplus.business.tender.service.DTO.TenderDTO;
import com.jeeplus.pubmodules.oss.domain.WorkAttachment;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import javax.swing.text.AbstractDocument;
import java.util.List;

@Mapper
public interface TenderMapper extends BaseMapper<Tender> {

    IPage<TenderDTO> findPageList(@Param(Constants.WRAPPER) QueryWrapper<TenderDTO> queryWrapper, Page<TenderDTO> page);

    Integer findIsExit(@Param("id") String id, @Param("name")String name);

    List<WorkAttachment> findFileList(@Param("id") String id);

    Tender findById(@Param("id") String id);
    //导出列表查询
    IPage<TenderDTO> findList(@Param(Constants.WRAPPER)QueryWrapper<TenderDTO> queryWrapper, Page<TenderDTO> page);
}
